Recent Forum Posts
From categories:
page 1123...next »

I have followed this tutorial step by step (many times) and cannot seem to get it to work. I stay stuck on yellow light a few times then stuck on blue light. Ive have tried with and without (destroy) method
I'm using virtual box on a Mac Any help would be great. maybe script needs updating? or firmware version? I have a 4TB drive

by itzmillertymeitzmillertyme, 04 Nov 2018 21:37

Thanks for this thread. I've been using the FeaturePack Manager from www.highlevelbits.fr for many years but stupidly trashed it by carrying out a firmware upgrade on the MBWE. I've managed to re-install the FeaturePack Manager from timemachine following the advice above, and that worked fine.

Problem is that one of the FeaturePacks I was using is MyBookClone, and that's a paid product not available from the wayback machine. Any ideas how I can find the installer for MyBookClone? Alternatively can you recommend other feature packs that will run a scheduled backup to a USB drive?

Re: FeaturePack Manager by Paul BrettPaul Brett, 18 Oct 2018 17:27

I upgraded mine to 2x 2TB drives a while ago. I used this procedure, I don't remember if it went smoothly or not - but it works now.

I can't post the link, but it's a post on THIS forum. Just search for the title "Success Report - Upgrading MBWEII (white light) from 2TB to 4TB"

I have WD My Cloud Home Duo 8TB is there any other system possible to install?

Hello.
I have replaced 2 x 1TB WDC WD10EAVS-00D HDD on WD MyBook World edition II with new 2 x WD 3TB (WD30EFRX) according to instructions on "dbbloger.blogspot.com". The system was set properly and I can access to files and web UI on my WD. I setup HDD to SPAN.
When I copied a large amount of data onto a disk, my system crashed.
I am worried about the fact that if I check fdisk -l it will print "You must set cylinders."

~ # fdisk -l
You must set cylinders.
You can do this from the extra functions menu.

Disk /dev/sda: 0 MB, 0 bytes
255 heads, 63 sectors/track, 0 cylinders
Units = cylinders of 16065 * 512 = 8225280 bytes

Device Boot Start End Blocks Id System
/dev/sda1 1 1 0+ ee EFI GPT
Partition 1 has different physical/logical beginnings (non-Linux?):
phys=(0, 0, 1) logical=(0, 0, 2)
Partition 1 has different physical/logical endings:
phys=(1023, 254, 63) logical=(267349, 89, 4)
You must set cylinders.
You can do this from the extra functions menu.

Disk /dev/sdb: 0 MB, 0 bytes
255 heads, 63 sectors/track, 0 cylinders
Units = cylinders of 16065 * 512 = 8225280 bytes

Device Boot Start End Blocks Id System
/dev/sdb1 1 1 0+ ee EFI GPT
Partition 1 has different physical/logical beginnings (non-Linux?):
phys=(0, 0, 1) logical=(0, 0, 2)
Partition 1 has different physical/logical endings:
phys=(1023, 254, 63) logical=(267349, 89, 4)

Can anyone advise me what to do (I'm a linux beginner)?

THX SaX

If you still need this…. use google…
1 go to timemachine
2 In the wayback machine, enter in www.highlevelbits.fr
3 click in the 2017 ares and select one of the save points by 2x clicking on it. DEC 16 2017
4 it will open the site.
5 select your MY Book type from the main menu.
6 Follow the installation procedure to install the Feature Pack Manager.

Good luck and let me know it it works.

Re: FeaturePack Manager by tdmiketdmike, 05 Sep 2018 14:12

Stopping the MiniHTTP-Server did the trick. Just wondering why it worked for so many years with the MiniHTTP running.

You need to find out what process is hogging all the memory..
try a few bash commands and check the results:

ps -aux | more
top | more

The results should point you to what processes are running and using memory.
My guess is it could be a media scan running in the background.

Good luck.

I have an WD White Light, which I upgraded from a 1TB to 2TB harddisk some weeks ago. It's used as a rsnapshot backup device. A few days ago it stopped going to standby. I stopped several services (twonky, mdnsresponder, samba..) but nothin helped. The only thing that works is unplugging the ethernet. Are there any ideas what could cause the problems? Thanks!

Hello there… you have a few options to try but you will have to have optWARE installed.
The original Twonky media server is a bit buggy and tends to crash after a few months.
1 ushare - good but uses a lot of memory and can crash if you media library is very large. Very simple web gui.
2. MiniDLNA - excellent but hard to install and get running. No web gui. The available package in optware is very old.
3. Fuppes - good and easy to install with a web gui.

Good luck

Thanks @dz2k!

After my original post, I dug further into the source distribution, and I was able to find the file too! They match, so that confirms the versioning and all that.

For any others that are looking to recover missing default files, this is what I did:

1. Download the source distro at (wiki won't let me post proper links, so here's my workaround):
supportM<dot>wdc<dot>com<slash>downloads<dot>aspx?p=116&lang=en

2. Unpack, then look here for the rootfs.arm.ext2 file:
WD-MyBookWorld-v1.02.14-GPL/toolchain/1nc_buildenv/create_package/target/

3. Mount rootfs.arm.ext2, and now the factory installation is yours.

Grep must not have found it originally because it was inside an image.

Thanks again!


sudo dd

Re: S90smbd example request by jefemljefeml, 15 Jul 2018 17:59

because there are no LEDs inside. just simply add 2 LEDs and it will work.

mistakes happen. I have MBW II white light on firmware 01.01.18 and the /etc/init.d/S90smbd script you requested is below. I hope this helps. Thanks.

#!/bin/sh
#

  1. chkconfig: 345 81 35
  2. description: Starts and stops the Samba smbd and nmbd daemons # used to provide SMB network services.
  1. Source function library.

#. /etc/init.d/functions

  1. Source networking configuration.

. /etc/sysconfig/network

  1. Check that networking is up.

[ ${NETWORKING} = "no" ] && exit 0

CONFIG=/etc/samba/smb.conf

  1. Check that smb.conf exists.

[ -f $CONFIG ] || exit 0

  1. See how we were called.
  2. nice -n -20 /usr/sbin/smbd -D after chmod 1777 below

case "$1" in
start)
echo -n "Starting SMB services: "
rm -f /var/spool/samba >/dev/null 2>&1
ln -sf /DataVolume/jewab /var/spool/samba >/dev/null 2>&1
chmod 1777 /var/spool/samba >/dev/null 2>&1
/usr/sbin/smbd -D
RETVAL=$?
smbdpids=`pidof smbd`
[ -z "$smbdpids" ] || echo "OK"
if [ -z "$smbdpids" ] ;then
echo "FAIL"
fi

echo -n "Starting NMB services: "
/usr/sbin/nmbd -D
nmbdpids=`pidof nmbd`
[ -z "$nmbdpids" ] || echo "OK"
if [ -z "$nmbdpids" ] ;then
echo "FAIL"
fi

mkdir -p /var/lock/subsys
touch /var/lock/subsys/smb
;;
stop)
echo -n "Shutting down SMB services: "

## we have to get all the smbd process here instead of just the
## main parent (i.e. killproc) because it can take a long time
## for an individual process to process a TERM signal
smbdpids=‘ps guax | grep smbd | grep -v grep | grep -v stop |grep -v restart| awk ’{print $1}'`

  1. for pid in $smbdpids; do
  2. kill -TERM $pid
  3. done

if [ -z "$smbdpids" ]; then
echo "FAIL"
else
kill -TERM $smbdpids >/dev/null 2>&1
RETVAL=$?
if [ "$RETVAL" == 0 ]; then
rm -f /usr/var/locks/smb.pid >/dev/null 2>&1
echo "OK"
else
echo "FAIL"
fi

fi

echo -n "Shutting down NMB services: "
nmbdpids=‘ps guax | grep nmbd | grep -v grep | grep -v stop | awk ’{print $1}'`
if [ -z "$nmbdpids" ] ;then
echo "FAIL"
else

kill -TERM $nmbdpids >/dev/null 2>&1
RETVAL=$?
if [ "$RETVAL" == 0 ]; then
echo "OK"
rm -f /usr/var/locks/nmb.pid >/dev/null 2>&1
else
echo "FAIL"
fi
rm -f /var/lock/subsys/smb
fi
/usr/bin/killall smbd >/dev/null 2>&1
/usr/bin/killall nmbd >/dev/null 2>&1
;;
reload)
echo -n "Reloading smb.conf file: "
smbdpids=‘ps guax | grep smbd | grep -v grep | grep -v reload | awk ’{print $1}'`
if [ -z "$smbdpids" ]; then
echo "FAIL"
else
kill -HUP $smbdpids >/dev/null 2>&1
RETVAL=$?
if [ "$RETVAL" == 0 ]; then
echo "OK"
else
echo "FAIL"
fi
fi
;;
status)
smbdpids=`pidof smbd`
[ -z "$smbdpids" ] || echo "smbd pid $smbdpids is running"
if [ -z "$smbdpids" ] ; then
echo "smbd is stopped"
fi

nmbdpids=‘pidof nmbd`
[ -z "$nmbdpids" ] || echo "nmbd pid $nmbdpids is running"
if [ -z "$nmbdpids" ] ; then
echo "nmbd is stopped"
fi
;;
restart)
echo "Restarting SMB services: "
$0 stop
$0 start
echo "done."
;;
check)
smbstatus -L | grep -E ’DENY_A|DENY_W' >/dev/null
if [ "$?" -eq "0" ]; then
echo "1"
else
echo "0"
fi
;;
*)
echo "Usage: $0 {start|stop|restart|reload|status}"
exit 1
esac

Re: S90smbd example request by dz2kdz2k, 14 Jul 2018 15:31

Hi All,

WD MyBook World Edition, White light

In a fit of stupid, I rm'ed my etc/init.d/S90smbd script. I know. I'm laughing too.

Are there any kind souls who would post their S90smbd script for me?
Any other recovery help/mockery would be appreciated too.
Obviously, I'm not as smart as I thought I was!

Here's what I have already tried to recover from this:

  • samba update from this wiki (mybookworld<dot>wikidot<dot>com<slash>samba-update)
    • Sadly, the ipkg installed scripts don't seem to work
    • and all the instructions are referencing the original file, which I don't have anymore
  • full factory reset.
    • Sadly, this does NOT restore the original factory fs
  • grepping the source code from WD
    • There are references to it in the make files, but not the actual file
  • Googled as hard as I could

Here's what I don't want to do, and why I'm begging for help:

  • Spin up the toolchain to do a cross-compile in the hope that it will generate this file.
    • Honestly, I'm guessing there is a chance that it was not included in the source.

thankyouthankyouthankyouplease!

jefeml


sudo dd

S90smbd example request by jefemljefeml, 14 Jul 2018 15:10

Hi, I update the restored device 01.01.18 to 02.00.18

on 01.01.18 its Works fine, but on 02.00.18 the HD power off and the blue lights blinking.

I check the storage, and see after update its lost settings, in external case I change

gedit sda1/etc/fstab
Change line 10 to say "/dev/md4 " to "/dev/sda4"

the storage return, but the HD still shut down and front leds blink.

I dont find any solution.

Hi, I find this little guy on my desk trash store, and put him alive again, just use the guide "this site/rescue-procedure"

Its Works fine and I enable the SSH to future explorer.

The problem is the Ethernet LED, the LAN Works, I access on browser, but the LED dont work, dont blink, nothing.

I update the FW 01.01.18 to 02.00.18, and Ethernet LED still off…

Its a soft or hardware problem?

you can find the guide and download the files in this link : this site/rescue-procedure

role to final page and you see"" Edit Rate (+1)|| Tags Discuss (25)|| History|| Files|| Print Site tools|| + Options|| ""

click on FILES, there are the recovery files, just watch the guide and all be fine.

I accidentally did a full restore on a My Book World 1 GB, wd1000h1nc-00 and need to reverse it if possible. Is this possible and how would I do it?

Thanks in advance,

Paul Pruitt (socrtwo)

page 1123...next »
Unless otherwise stated, the content of this page is licensed under Creative Commons Attribution-ShareAlike 3.0 License